Bug 734433 - Globally uncaught exception on dashboard while adding portlet, if we have zero column
Globally uncaught exception on dashboard while adding portlet, if we have zer...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1,4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: rhq41-ui
  Show dependency treegraph
 
Reported: 2011-08-30 07:55 EDT by Jeeva Kandasamy
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:09:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot (33.43 KB, image/jpeg)
2011-08-30 07:55 EDT, Jeeva Kandasamy
no flags Details
GUI error stack trace (13.94 KB, text/x-log)
2011-08-30 07:56 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2011-08-30 07:55:16 EDT
Created attachment 520599 [details]
Screen shot

Description of problem:
Throws 'Globally uncaught exception' on dashboard while adding portlet, if we have zero column on dashboard. 

On this cases 'Add Portlet' button should be disabled or deletion of column should be restricted up to 1 (on this build it's zero)

Version-Release number of selected component (if applicable):
Version: 4.1.1-BETA1
Build Number: 6db75f8
GWT Version: 2.0.4
SmartGWT Version: 2.4
Browser: Firefox 3.6.18

How reproducible:
100%

Steps to Reproduce:
1.Navigate to 'Dashboard'
2.Go to edit mode with existing dashboard or click on new dashboard
3.Remove the column(s) until column count gets 0
4.Try to add any portlet, Throws 'Globally uncaught exception'
  
Actual results:
Throws 'Globally uncaught exception'

Expected results:
'Add Portlet' button should be disabled on column count:0

Additional info: Screen shot and GUI error stack trace are attached
Comment 1 Jeeva Kandasamy 2011-08-30 07:56:22 EDT
Created attachment 520600 [details]
GUI error stack trace
Comment 2 Ian Springer 2011-11-16 12:40:49 EST
The fix for https://bugzilla.redhat.com/show_bug.cgi?id=734438 fixes this.
Comment 3 Mike Foley 2011-11-16 13:29:27 EST
verified jon 3 branch.  could not column to get to 0 columns.
Comment 5 Heiko W. Rupp 2013-08-31 06:09:03 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.